<?php

$sipkaPostsPagesArray = array(
	'select' => __('Select a post/page', 'sipka'),
);

$sipkaPostsPagesArgs = array(
	
	// Change these category SLUGS to suit your use.
	'ignore_sticky_posts' => 1,
	'post_type' => array('post', 'page'),
	'orderby' => 'date',
	'posts_per_page' => -1,
	'post_status' => 'publish',
	
);
$sipkaPostsPagesQuery = new WP_Query( $sipkaPostsPagesArgs );
	
if ( $sipkaPostsPagesQuery->have_posts() ) :
							
	while ( $sipkaPostsPagesQuery->have_posts() ) : $sipkaPostsPagesQuery->the_post();
			
		$sipkaPostsPagesId = get_the_ID();
		if(get_the_title() != ''){
				$sipkaPostsPagesTitle = get_the_title();
		}else{
				$sipkaPostsPagesTitle = get_the_ID();
		}
		$sipkaPostsPagesArray[$sipkaPostsPagesId] = $sipkaPostsPagesTitle;
	   
	endwhile; wp_reset_postdata();
							
endif;

$sipkaYesNo = array(
	'select' => __('Select', 'sipka'),
	'yes' => __('Yes', 'sipka'),
	'no' => __('No', 'sipka'),
);

$sipkaSliderType = array(
	'select' => __('Select', 'sipka'),
	'header' => __('WP Custom Header', 'sipka'),
	'slider' => __('sipka Header', 'sipka'),
);

$sipkaServiceLayouts = array(
	'select' => __('Select', 'sipka'),
	'one' => __('One', 'sipka'),
	'two' => __('Two', 'sipka'),
);

$sipkaAvailableCats = array( 'select' => 'Select' );

$sipka_categories_raw = get_categories( array( 'orderby' => 'name', 'order' => 'ASC', 'hide_empty' => 0, ) );

foreach( $sipka_categories_raw as $category ){
	
	$sipkaAvailableCats[$category->term_id] = $category->name;
	
}	
